com.opensymphony.xwork2.ognl

## Class OgnlValueStackFactory

- java.lang.Object
- - com.opensymphony.xwork2.ognl.OgnlValueStackFactory

- All Implemented Interfaces:
    ValueStackFactory

      public class OgnlValueStackFactory
      extends Object
      implements ValueStackFactory

  Creates an Ognl value stack

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CompoundRootAccessor` | `compoundRootAccessor`
    `protected Container` | `container`
    `protected TextProvider` | `textProvider`
    `protected XWorkConverter` | `xworkConverter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OgnlValueStackFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `containerAllowsStaticFieldAccess()` Retrieve allowStaticFieldAccess state from the container (allows for lazy fetching)
    `ValueStack` | `createValueStack()` Get a new instance of `ValueStack`
    `ValueStack` | `createValueStack(ValueStack stack)` Get a new instance of `ValueStack`
    `protected void` | `setContainer(Container container)`
    `protected void` | `setTextProvider(TextProvider textProvider)`
    `protected void` | `setXWorkConverter(XWorkConverter converter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### xworkConverter

          protected XWorkConverter xworkConverter

    - #### compoundRootAccessor

          protected CompoundRootAccessor compoundRootAccessor

    - #### textProvider

          protected TextProvider textProvider

    - #### container

          protected Container container

  - ### Constructor Detail

    - #### OgnlValueStackFactory

          public OgnlValueStackFactory()

  - ### Method Detail

    - #### setXWorkConverter

          protected void setXWorkConverter(XWorkConverter converter)

    - #### setTextProvider

          protected void setTextProvider(TextProvider textProvider)

    - #### createValueStack

          public ValueStack createValueStack()

      Description copied from interface: `ValueStackFactory`
      Get a new instance of `ValueStack`
      Specified by:
        `createValueStack` in interface `ValueStackFactory`
      Returns:
        a new `ValueStack`.

    - #### createValueStack

          public ValueStack createValueStack(ValueStack stack)

      Description copied from interface: `ValueStackFactory`
      Get a new instance of `ValueStack`
      Specified by:
        `createValueStack` in interface `ValueStackFactory`
      Parameters:
        `stack` - an existing stack to include.
      Returns:
        a new `ValueStack`.

    - #### setContainer

          protected void setContainer(Container container)
                               throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

    - #### containerAllowsStaticFieldAccess

          protected boolean containerAllowsStaticFieldAccess()

      Retrieve allowStaticFieldAccess state from the container (allows for lazy fetching)

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.